Skip to content
Login Sign up

JSON auto parser

Set auto_parser=1 to have the API parse the page into a nested JSON structure of tags, attributes, and text. Works with or without JavaScript rendering.

GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&auto_parser=1
ParameterTypeRequiredDescription
api_keystringyesYour Web Scraping API key
urlstringyesTarget URL to fetch
auto_parserintegerno0 (default) or 1. When 1, the response is parsed JSON.
Terminal window
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https://example.com&auto_parser=1"
{
"0": {
"tagName": "div",
"children": {
"0": { "tagName": "h1", "text": "Example Domain" },
"1": { "tagName": "p", "text": "This domain is for use in illustrative examples in documents." },
"2": {
"tagName": "p",
"text": "More information...",
"children": {
"0": {
"tagName": "a",
"attributes": { "href": "https://www.iana.org/domains/example" },
"text": "More information..."
}
}
}
}
}
}